{
  description = "Hotel-Manager";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs?ref=nixos-unstable";
  };

  outputs = { self, nixpkgs, ... }:
    let
      system = "x86_64-linux";
      pkgs = nixpkgs.legacyPackages.${system};
    in
    {
      devShells.${system}.default =
        pkgs.mkShell
          {
            buildInputs = [
              pkgs.nodePackages."@angular/cli"
              pkgs.git
              pkgs.bun
            ];

            RUST_SRC_PATH = "${pkgs.rust.packages.stable.rustPlatform.rustLibSrc}";

            shellHook = ''
export CARGO_HOME=$HOME/.cargo
export RUSTUP_HOME=$HOME/.rustup
            '';
          };
    };
}
