import { Component, Injectable } from '@angular/core';
import { HotelItem } from './HotelItem/HotelItem.component';
import { SearchComponent } from './Search/search.component';
import {
  AsyncPipe,
  NgFor,
  NgForOf,
  NgIf,
  UpperCasePipe,
} from '@angular/common';
import { TextPipe } from '../text.pipe';
import { HotelService } from './Parent/services/hotel.service';
import { inject } from '@angular/core';
import { filter, from, last, map, Observable, scan } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { Hotel } from './HotelItem/hotel';
import { RouterOutlet } from '@angular/router';

@Injectable({ providedIn: 'root' })
@Component({
  selector: 'app-root',
  standalone: true,
  imports: [
    RouterOutlet,
    NgFor,
    NgForOf,
    NgIf,
    HotelItem,
    SearchComponent,
    UpperCasePipe,
    TextPipe,
    AsyncPipe,
  ],
  templateUrl: './app.component.html',
  providers: [HotelService],
  styleUrl: './app.component.css',
})
export class AppComponent {}
